DocumentationDocumentation
Talk2Sync Documentation
User Documentation
Connector APIs
  • English
  • Español
Talk2Sync Documentation
User Documentation
Connector APIs
  • English
  • Español
  • User Guide Portal & API Documentation
  • User-documentation

    • User Documentation
    • Guide

      • User Guide: Introduction
      • Core Concepts
    • Talk2sync

      • Connection Buttons
      • Color Coding System
      • Issues and Alerts
      • Command Filters
      • Deleted Information Still Appears: How to Remove It
      • Deletions
    • Conexiones

      • Connection Settings
    • Fields

      • Time Based Sync
      • Data Governance
      • Special and Extra Fields
    • Productos

      • Product Fields
      • Equivalences
      • Product Search
      • Link / Unlink Products
    • Ventas

      • Fields
      • Equivalences
      • Sales Search
      • No SKU (Missing SKU)
    • Reports

      • Product Export
      • Sales Report
    • Faq

      • Amazon

        • Amazon Barcode Requirements
        • Amazon Catalog Discrepancies and ASIN Mismatches
        • Amazon Manufacturer Requirements
        • New ASIN Creation Errors and Invalid Attribute Values
        • Talk2sync, SKUs, and Product Identifiers
        • Amazon Variation Templates
      • Mercadolibre

        • Mercado Libre Official Stores
        • Mercado Libre Locations and Geographic Attributes
        • Mercado Libre Pick-up in Store
        • Mercado Libre Extra Attributes
        • Mercado Libre Image Processing and Synchronization
        • Mercado Libre Seller Unable to List Error
      • Linio

        • Linio Brand Not Registered Error
        • Linio Physical Dimensions and Weight Requirements
  • Connector APIs

    • Connector APIs
    • Quick-start

      • Introduction & Requirements
      • Add Connection
      • Configure Connection
      • Generate Keys
      • Test Your Integration
    • Webhooks

      • Webhooks API
      • Catalog

        • Webhooks: List Products
        • Webhooks: List Product by ID
        • Webhooks: Add/Update Product
      • Sales

        • Webhooks: List Orders
        • List Order by ID
        • Add/Update Order
    • Reverse-connections

      • Reverse Connections
      • Implementation-states

        • Implementation
        • Query Implementation: Products and Orders
        • Store Implementation: Products and Orders
        • Sleep and Timeouts
      • Protocol

        • Protocol
        • Overview
        • Product Upload
        • Order Upload
        • Product Download
        • Order Download
      • Rest-calls

        • REST Calls
        • Fetching-changes

          • Fetching Changes REST Calls
          • Ask if Fetching
          • Catalog

            • Push Products Page
            • Set Finish Product Pushes
          • Sales

            • Push Orders Page
            • Set Finish Order Pushes
            • Set Finish All Pushes
        • Pulling-changes

          • Pulling Changes REST Calls
          • Ask if Pulling
          • Catalog

            • Get Next Product to Pull
            • Pull Products Page
            • Notify Product Storage Success
            • Notify Product Storage Failure
            • Set Finish Product Download
          • Sales

            • Get Next Order to Pull
            • Pull Orders Page
            • Notify Order Storage Success
            • Notify Order Storage Failure
            • Set Finish Order Download
            • Transact Finish Pull

Notify Order Storage Success

After the daemon successfully processes the order received from Talk2Sync, it must notify Talk2Sync that the order was inserted or updated successfully.

This notification completes the daemon-side processing step for the order and allows Talk2Sync to continue with the next transaction.

1. Notify Successful Storage

Send a POST request using the _id of the processed order:

POST https://api.talk2sync.com/api/adapters/custom/reverse/connection/{{your key}}/pull/orders/{{_id}}/succeded

Replace {{_id}} with the _id of the order that was processed.

Note: The endpoint path uses succeded as specified by the protocol.

2. Request Body

The request body must contain the order that was successfully inserted or updated:

{
  "order": {
    "_id": "75554554546",
    "orderid": "777777",
    "last_updated": 1517360038797,
    "status": "paid",
    "dateCreated": "",
    "dateClosed": "",
    "total": {
      "amount": 350,
      "currency": "USD"
    },
    "orderItems": [
      {
        "id": "7778545",
        "variation_id": "0",
        "quantity": "1",
        "unitPrice": "350",
        "currencyId": "USD"
      }
    ],
    "buyer": {
      "id": "4578889",
      "email": "testbuyer@example.com",
      "phone": "88888888",
      "firstName": "John",
      "lastName": "Doe"
    }
  }
}

The order sent in the request should correspond to the order that the daemon actually inserted or updated.

3. Wait for the Transaction to Complete

The success notification should return HTTP 200 OK.

After receiving a successful response, the daemon must wait until Talk2Sync finishes processing the order transaction before requesting another order.

Check the order readyfornext status:

GET https://api.talk2sync.com/api/adapters/custom/reverse/connection/{{your key}}/pull/orders/readyfornext

The response should have a structure similar to:

{
  "ready": false
}

or:

{
  "ready": true
}

ready: false

Talk2Sync is still processing the previous order transaction. The daemon must wait and query the endpoint again.

ready: true

The previous transaction has completed and the daemon can proceed with the next order.

Process

Next Steps

  • Review Get Next Order to Pull to retrieve the next order.
  • Review Notify Order Storage Failure to report a failed storage operation.
  • Review Set Finish Order Pulls to finalize the order download.
Last Updated: 8/28/26, 12:58 AM
Prev
Pull Orders Page
Next
Notify Order Storage Failure